установка php 7.4 на debian 8 vestacp

Kuper

Администратор
Команда форума
Установка
bash mgrvphp

Несколько попыток не увенчались успехом

checking whether to build with LIBXML support... yes
checking for libxml-2.0 >= 2.7.6... yes
checking for OpenSSL support... yes
checking for Kerberos support... /usr
checking whether to use system default cipher list instead of hardcoded value... no
checking for krb5-gssapi krb5... no
configure: error: Package requirements (krb5-gssapi krb5) were not met:

No package 'krb5-gssapi' found
No package 'krb5' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables KERBEROS_CFLAGS
and KERBEROS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

попытка установки libgssapi-krb5-2

Уже установлена самая новая версия libgssapi-krb5-2.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

решилось

sudo apt install libkrb5-dev


далее опять

checking for sqlite3 > 3.7.4... no
configure: error: Package requirements (sqlite3 > 3.7.4) were not met:

No package 'sqlite3' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables SQLITE_CFLAGS
and SQLITE_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

ставлю sudo apt install sqlite3

не помогает
ставлю

sudo apt install libsqlite3-dev

заканчивается так но работает


mkdir: невозможно создать каталог «/opt/php/php-7.4.12/etc/conf.d»: Нет такого файла или каталога
mgrvphp: line 175: /opt/php/php-7.4.12/etc/conf.d/ext.ini: Нет такого файла или каталога
mgrvphp: line 180: /opt/php/php-7.4.12/etc/conf.d/ext.ini: Нет такого файла или каталога

файл ext.ini докидываю вручную

zend_extension = /opt/php/ext/ioncube/ioncube_loader_lin_7.2.so - ваша версия
zend_extension = /opt/php/php-7.2.34/lib/php/20170718/opcache.so - и тут ваш путь

кстати php.ini почему то не видит
 
Вверх